% ! TeX root = ../../master.tex
\begin{sheetexercise}
Let $\cat{Top}_*$ denote the category of pointed spaces and based continuous maps, and write $\cat{Top}$ for the category of (unpointed) topological spaces and continuous maps.
\begin{enumerate}
\item (\textit{$1+1+1$ points}) We have a `forgetful' functor $U\colon\cat{Top}_*\to\cat{Top}$ that sends a pointed space $(X,*)$ to the underlying space $X$ and a based map $f\colon (X,*)\to (Y,*)$ to the underlying map $f\colon X\to Y$. Is $U$ faithful? Is $U$ full? Is $U$ essentially surjective?
\end{enumerate}
Let $I$ be a set and let $(X_i)_{i\in I}$ be a family of objects in some category $\mathscr C$. A \emph{product} of $(X_i)_{i\in I}$ consists of an object $X$ together with a map $p_i\colon X\to X_i$ for each $i\in I$ such that these data have the following `universal property': if $Y$ is any other object of $\mathscr C$ together with maps $f_i\colon Y\to X_i$ for all $i\in I$, then there exists a \emph{unique} map $f\colon Y\to X$ such that $p_i\circ f=f_i$ for all $i\in I$, i.e.~for each $i\in I$ the following diagram commutes:
\begin{equation*}
\begin{tikzcd}
& X\arrow[d, "p_i"]\\
Y\arrow[ur, "f", bend left=10pt]\arrow[r, "f_i"'] & X_i.
\end{tikzcd}
\end{equation*}
If such a product exists, then we will say that the family $(X_i)_{i\in I}$~`admits a product.'
\begin{enumerate}[resume]
\item (\textit{0 points}) If you haven't seen this before, convince yourself that products are `unique up to unique isomorphism' (if they exist). More precisely: if we have a product of $(X_i)_{i\in I}$ given by an object $X$ together with maps $p_i\colon X\to X_i$ as well as a product given by an object $X'$ together with maps $p_i'\colon X'\to X_i$, then there is a unique map $f\colon X\to X'$ with $p_i'\circ f=p_i$ for all $i\in I$, and this map is an isomorphism. We will therefore often simply say `the product' instead of `a product' of $(X_i)_{i\in I}$ and denote any fixed choice of a product by $\prod_{i\in I}X_i$.
\item (\textit{$1+1$ points}) Prove that every family of objects in $\cat{Top}$ or $\cat{Top}_*$ admits a product by explicitly constructing one.
\item (\textit{$1+2$ points}) Let $(X_i)_{i\in I}$ be a family of path-connected spaces. Show that $\prod_{i\in I}X_i$ is path-connected. Are products of connected spaces always connected?
\item (\textit{$0+1+1$ points}) Coproducts are defined dually to products, i.e.~they are products in the opposite category $\mathscr C^{\text{op}}$. Spell out the definition of a coproduct, and construct coproducts in $\cat{Top}$ and $\cat{Top}_*$.
\end{enumerate}
\end{sheetexercise}

\begin{sheetexercise}
\begin{enumerate}
\item (\textit{$2+2$ points}) Let $X,Y$ be topological spaces, and let $A\subset X,B\subset Y$ be closed subsets. Show that the boundary $\del(A\times B)$ inside $X\times Y$ agrees with the union $(\del A\times B)\cup(A\times\del B)$. Use this to show that $S^3$ is homeomorphic to the space $Z=T_1\cup_{\id} T_2$ obtained by gluing the two solid tori $T_1=D^2\times S^1, T_2=S^1\times D^2$ (note that different order of the factors!) along the identity of $S^1\times S^1$.
\item (\textit{1 point}) Let $L\subset Z$ be the union of the `center curves' $\{0\}\times S^1\subset T_1$ and $S^1\times\{0\}\subset T_2$, and set $U\mathrel{:=}\{p,q\}\times S^1\subset T_1$ for some distinct points $p,q\in (D^2)^\circ$. Draw \emph{schematic} pictures of the images of $L$ and $U$ under the above homeomorphism $Z\cong S^3$.
\item (\textit{2+2+1 points}) Compute the fundamental groups $\pi_1(Z\setminus L,*)$ and $\pi_1(Z\setminus U,*)$ for your favourite choice of basepoints, and in particular give explicit sets of generators for these groups (e.g.~by drawing representatives into your picture from the previous subtask). Are $Z\setminus L$ and $Z\setminus U$ homeomorphic?
\end{enumerate}
\end{sheetexercise}

\begin{sheetexercise}
For any group $G$, we write $[G,G]$ for the \emph{commutator} of $G$, i.e.~the subgroup generated by all elements of the form $ghg^{-1}h^{-1}$ with $g,h\in G$.
\begin{enumerate}
\item (\textit{0 points}) If you haven't seen this in another lecture before, convince yourself that $[G,G]$ is a normal subgroup and that the quotient map $p\colon G\to G/[G,G]\mathrel{=:} G^{\text{ab}}$ has the following universal property: $G^{\text{ab}}$ is abelian, and for every homomorphism $f\colon G\to A$ to an abelian group $A$ there exists a unique homomorphism $\bar{f}\colon G^{\text{ab}}\to A$ making the following diagram commute:
\begin{equation*}
\begin{tikzcd}
G\arrow[d, "p"'] \arrow[r,"f"] & A.\\
G^{\text{ab}}\arrow[ur, dashed, "\bar f"', bend right=10pt]
\end{tikzcd}
\end{equation*}
We call $p\colon G\to G^{\text{ab}}$ (and, although somewhat imprecise, also just the group $G^{\text{ab}}$ itself) the \emph{abelianization} of $G$. You can convince yourself that the above universal property characterizes $p\colon G\to G^{\text{ab}}$ up to unique isomorphism.
\item (\textit{2 points}) Let $n> 0$ and write $\mathfrak F_n$ for the free group on $n$ letters. Show that the homomorphism $\mathfrak F_n\to\mathbb Z^n$ that sends the $k$-th standard generator to the $k$-th standard generator for $k=1,\dots,n$ factors through an isomorphism $(\mathfrak F_n)^{\text{ab}}\cong\mathbb Z^n$.

\textbf{Hint.} You can do this by just using the universal property of abelianization.
\item (\textit{4 points}) Let $X=S^1\vee S^1$ be the `figure eight,' i.e.~the space obtained by gluing two copies of the unit circle along their basepoint $*$, and recall that the two inclusions of $S^1$ induce an isomorphism $\mathfrak F_2\cong\pi_1(X,*)$. Give an explicit description of `the' cover $p\colon X'\to X$ whose characteristic subgroup $\textup{im}\big(\pi_1(p)\colon \pi_1(X',*)\to\pi_1(X,*)\big)$ is the commutator $[\pi_1(X,*),\pi_1(X,*)]$.
\item (\textit{$2+2$ points}) Conclude that $\mathfrak F_2$ contains copies of all finitely generated free groups, i.e.~for every $n>0$ there exists an injective homomorphism $\mathfrak F_n\to\mathfrak F_2$. Construct an explicit family of such homomorphisms.
\staritem (\textit{$3+7$ bonus points}) Denote the standard generators of $\mathfrak F_2$ by $a$ and $b$. Prove that for every $n>0$ the homomorphism $\mathfrak F_n\to\mathfrak F_2$ sending the $k$-th standard generator to $a^kb^k$ for each $k=1,\dots,n$ is injective, but not surjective. Can you give a general procedure to decide whether a homomorphism $\mathfrak F_n\to\mathfrak F_m$, specified in terms of the images of the standard generators, is injective and/or surjective?
\end{enumerate}
\end{sheetexercise}

\begin{sheetexercise} (\textit{$5+5$ points})
	Compute the simplicial homology of the Klein bottle and of $\mathbb{RP}^2$ using the $\Delta$-complex structures from \autoref{ex:delta-complex-torus} and \autoref{ex:klein-bottle-delta-complex}.
\end{sheetexercise}
